> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/xamarin/changelogs/version-8/v8-1-2.md).

# Version 8.1.2 Changelog (March 31, 2021)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

Version: 8.1.2

Release Date: March 31, 2021

## Notes

This release of Apryse for Xamarin brings the core PDF functionality and iOS and Android Tools functionality inline with version 8.1.2 of the iOS and Android SDKs. More information can be found on [What's New for iOS](/ios/changelogs/version-8/v8-1-2-76990.md) and [What's New for Android](/android/changelogs/version-8/v8-1-2.md).

## Xamarin.Android

### New features

* Adds API to [set default stylus tool mode](https://sdk.apryse.com/api/xamarinandroid/tools/api/pdftron.PDF.Tools.Utils.PdfViewCtrlSettingsManager.html#pdftron_PDF_Tools_Utils_PdfViewCtrlSettingsManager_SetDefaultStylusToolMode_Android_Content_Context_pdftron_PDF_Tools_ToolManager_ToolMode_), default to ink tool
* Adds ability to quickly add/remove items in the menu editor

![](https://653871032-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgjsBtuYmcKhWOdM9VCg4%2Fuploads%2Fgit-blob-ba14c9503d41675c9d240c614ffdde1375d032e2%2Fb7f97d2c728011e7ccc88010e624731968f5995d-418x862.gif?alt=media)

* Adds ability to close inactive tabs
* Adds API to [show/hide tabs on phones](https://sdk.apryse.com/api/xamarinandroid/tools/api/pdftron.PDF.Tools.Utils.PdfViewCtrlSettingsManager.html#pdftron_PDF_Tools_Utils_PdfViewCtrlSettingsManager_SetShowTabBarForPhone_Android_Content_Context_System_Boolean_), default to false
* Adds API to [show/hide scrollbar](https://sdk.apryse.com/api/xamarinandroid/tools/api/pdftron.PDF.Tools.Utils.PdfViewCtrlSettingsManager.html#pdftron_PDF_Tools_Utils_PdfViewCtrlSettingsManager_SetShowScrollbarOption_Android_Content_Context_System_Boolean_) when scrolling and zooming, default to false
* Adds style attribute `showAddBookmarkMenuItem` to hide add bookmark menu item in the thumbnails browser

## Xamarin.iOS

### New features

* Includes a new SmartPen tool that will highlight text when used on text, and draw ink when used elsewhere.
* Images on the pasteboard can now be pasted as stamp annotations.
* The tab key can be used to navigate between form fields.
* The [`PTDocumentController`](https://sdk.apryse.com/api/xamarinios/tools/api/pdftron.PDF.Controls.PTDocumentController.html)'s "more" items now uses a pulldown menu on iOS 14+.
* A new API, [`PTToolManager.AllowBluetoothPermissionPrompt`](https://sdk.apryse.com/api/xamarinios/tools/api/pdftron.PDF.Tools.PTToolManager.html#pdftron_PDF_Tools_PTToolManager_AllowBluetoothPermissionPrompt), can be used to block bluetooth permission prompt.
* Undo/redo buttons are now hidden when the undo manager is disabled.
* The collaboration annotation list now indicates when there are no annotations.
* Adds a new `PTAnnotEditToolDelegate` method [`annotEditTool:shouldRenderAnnotationAsVector:onPageNumber:`](https://sdk.apryse.com/api/xamarinios/tools/api/pdftron.PDF.Tools.PTAnnotEditToolDelegate.html#pdftron_PDF_Tools_PTAnnotEditToolDelegate_ShouldRenderAnnotationAsVector_pdftron_PDF_Tools_PTAnnotEditTool_pdftronprivate_PTAnnot_System_nuint_) to control how annotation's selected appearance is drawn: via a bitmap generated by the PDF renderer, or as a vector in the iOS UI. This is useful when annotations are given custom appearances.

### Bug fixes

* Fixes an issue when using the Ink tool from the long-press menu when the Apple Pencil setting was set to System.
* Fixes an issue where ink or polyline annotations could get lost if an annotation were selected from the annotation list before the annotation had been written back to the document.
* Fixes a small discrepancy between how a cloudy annotation appeared when it was selected and not.
* Fixes free text borders being drawn too thin.
* Fixes free text property editing when using the keyboard accessory view's controls.
* When an annotation is pasted, the new annotation's author is now set to the current author.
* The long-press menu option to search for the selected text is only shown when the `PTToolManagerDelegate` method [`-viewControllerForToolManager:`](https://sdk.apryse.com/api/xamarinios/tools/api/pdftron.PDF.Tools.PTToolManagerDelegate.html#pdftron_PDF_Tools_PTToolManagerDelegate_ViewControllerForToolManager_pdftron_PDF_Tools_PTToolManager_) is implemented, preventing what would previously have resulted in a crash.
* Keyboard accessory view will no longer appear outside the safe area (relevant when using a hardware keyboard).
* Eliminates extraneous annotation modified notifications that occurred when the style picker was opened but no annotation modifications were made.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/xamarin/changelogs/version-8/v8-1-2.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
